Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.jspbeans
Class GroupUserJspBean

    java.lang.Object
      |
      +--com.beasys.portal.jspbeans.GroupUserJspBean

public class GroupUserJspBean
extends java.lang.Object
implements PortalConstants

Provides support for Group administration tools.

Field Summary
`protected static boolean` | `debug` Assists debug output.

Fields inherited from interface com.beasys.portal.ejb.PortalConstants
`ALGORITHM, COLUMN_INFORMATION, DEFAULT_CATEGORY_NAME, GROUP_HIERARCHY, GROUP_PERSONALIZATION, MAX_QUERIED_USERS, NAME_MAX, PORTAL_COLUMN_MAX, PORTAL_DEFINITION, PORTAL_GROUP_HIERARCHY, PORTAL_HIERARCHY, PORTAL_MANAGER, PORTAL_PERSONALIZATION, PORTAL_PROPERTIES, PORTAL_SIGN_ON, PORTAL_USER_PROFILE, PORTLET_DEFINITION, SEPARATOR, URL_MAX, USER_HIERARCHY, USER_PERSONALIZATION`

Fields inherited from interface com.beasys.util.ToolkitConstants
`DEFAULT_ID_CACHE, DEFAULT_ID_PROCEDURE, DEFAULT_JDBC_POOL_NAME, DEFAULT_LOGGING_LEVEL, DEFAULT_WEBLOGIC_HOST, DEFAULT_WEBLOGIC_PORT, ID_CACHE, ID_PROCEDURE, JDBC_POOL_NAME, LOG_DEBUG, LOG_ERROR, LOG_FATAL, LOG_INFO, LOG_SECURITY, LOG_WARNING, LOGGING_LEVEL, WEBLOGIC_HOST, WEBLOGIC_PORT`

Constructor Summary
`GroupUserJspBean()`

Method Summary
`java.lang.String[]` | `getGroupNamesForUser(java.lang.String portalName, java.lang.String userName)` Retrieves all group names associated with a particular portal user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debug

    protected static boolean debug

  Assists debug output.

Constructor Detail

### GroupUserJspBean

    public GroupUserJspBean()

Method Detail

### getGroupNamesForUser

    public java.lang.String[] getGroupNamesForUser(java.lang.String portalName,
                                                   java.lang.String userName)

  Retrieves all group names associated with a particular portal user.
  Parameters:
    `portalName` - the name of the portal to which the user belongs
    `userName` - the name of the portal user
  Returns:
    `String[]` the names of the gorups to which the portal user belongs

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved